<?php

include_once("../php/config.php");
$id_prestamo = $_GET["id_prestamo"];
$sql = mysql_query("select *  from prestamos inner join clientes on prestamos.id_cliente=clientes.id where prestamos.id_prestamo='$id_prestamo'") or die(mysql_error());

$id_solicitud = @mysql_result($sql, 0, "id_solicitud");

$sql2 = mysql_query("select *  from solicitudes where id_solicitud='$id_solicitud'") or die(mysql_error());


$sql3 = mysql_query("select *  from cuotas where id_prestamo='$id_prestamo'") or die(mysql_error());
while($aa = mysql_fetch_array($sql3)){
        if($aa["balance"]<=0.1){$pagadas++;}
        if($aa["balance"]>0.1){$pendientes++;}
        if(strtotime($aa["vence"])<=strtotime($hoy) and $aa["balance"]>0.1){$atrasadas++; $matrasadas+=$aa["balance"];}
        if(strtotime($aa["vence"])>strtotime($hoy) and $r["balance"]<=0.1){$adelantadas++; $madelantadas+=$aa["balance"];}
}

$acliente = @mysql_result($sql, 0, "id") . " - " . @mysql_result($sql, 0, "nombre");

$prestado = @mysql_result($sql, 0, "monto_prestado");
setcookie("cliente",$acliente,time()+84600*24, '/');
setcookie("prestamo",$id_prestamo,time()+84600*24, '/');
setcookie("prestado",$prestado,time()+84600*24, '/');

include_once("../header.php");
?>
<style>
    .campos{
        float:right;
    }
    

</style>
<div class="container-fluid">
    <!-- Breadcrumbs-->

    <?php include_once("../barra_lateral.php") ?>  


    <div class="row">
        <div class="col-md-12">
            <h3>Informacion detalla del prestamo</h3>


            <div class="row">
                <div class="col-md-5">
                    <div class="card">
                        <div class="card-body">
                            <h5 class="text-success">Datos del cliente</h5>
                            <b># Prestamo:</b> </label><span class='campos'><?php echo mysql_result($sql, 0, "id_prestamo") ?></span>
                            <br>
                            <b>Cliente:</b> </label><span class='campos text-info' style="text-decoration:underline;"><?php echo @mysql_result($sql, 0, "id") . " - " . @mysql_result($sql, 0, "nombre") ?></span>    
                            <br>
                            <b>Telefono:</b> </label><span class='campos'><?php echo @mysql_result($sql, 0, "telefono"); ?></span>    
                            <br>
                            <b>Direccion:</b> </label><span class='campos'><?php echo substr(@mysql_result($sql, 0, "direccion"),0,20); ?></span><br>


                            <b>Ruta:</b> </label><span class='campos'><?php echo @mysql_result($sql, 0, "ruta"); ?></span> <br>
                            <b>Cobrador:</b> </label><span class='campos'><?php echo @mysql_result($sql, 0, "cobrador"); ?></span> <br>
                            <b>Creado por:</b> </label><span class='campos text-primary' style="text-decoration:underline;"><?php echo @mysql_result($sql, 0, "creado_por"); ?></span> <br>
                            <b>Fecha registro</b> </label><span class='campos'><?php echo @fecha(mysql_result($sql, 0, "fecha_registro")); ?></span> <br>



                        </div>
                    </div>
                </div>



                <div class="col-md-7">
                    <div class="card">
                        <div class="card-body">
                            <h5 class="text-success">Datos de la solicitud</h5>
                            <b>No. solicitud:</b> </label><span class='campos'><?php echo mysql_result($sql2, 0, "id_solicitud") ?></span>
                            <br>
                            <b>Fecha solicitud:</b> </label><span class='campos'><?php echo @mysql_result($sql2, 0, "hora") ?></span>    
                            <br>
                            <b>Creada por:</b> </label><span class='campos'><?php echo @mysql_result($sql2, 0, "creada_por"); ?></span>    
                            <br>

                            <b>Revisada por:</b> </label><span class='campos'><?php echo @mysql_result($sql2, 0, "revisada_por"); ?></span>
                            <br>

                            <b>Estado solicitud:</b> </label><span class='campos'><?php echo @mysql_result($sql2, 0, "estado_solicitud"); ?></span>
                            <br>

                            <b>Cantidad solicitada:</b> </label><span class='campos text-success'><?php echo @decimal(mysql_result($sql2, 0, "cantidad_solicitada")); ?></span>
                            <br>
                            <b>Cantidad aprobada:</b> </label><span class='campos text-primary'><?php echo @decimal(mysql_result($sql2, 0, "cantidad_aprobada")); ?></span>
                            <br>

                            <b>Datos del garante:</b> </label><span class='campos'><?php echo @decimal(mysql_result($sql2, 0, "datos_garante")); ?></span>



                        </div>
                    </div>
                </div>
        </div>

<hr>



                <div class="row">
                    <div class="col-md-5">
                        <div class="card">
                            <div class="card-body">
                                <h5 class="text-success">Datos del prestamo</h5>
                                <b>Monto prestado:</b> </label><span class='campos text-success'><b><?php echo @decimal(mysql_result($sql, 0, "monto_prestado")) ?></b></span>
                                <br>
                                <b>Encargado</b> </label><span class='campos text-info'><?php echo @(mysql_result($sql, 0, "usuario")) ?></span>
                                <br>
                                
                                 <b>Creado por</b> </label><span class='campos text-success'><b><?php echo @(mysql_result($sql, 0, "creado_por")) ?></b></span>
                                <br>
                                 <b>Fecha</b> </label><span class='campos text-success'><?php echo @(mysql_result($sql, 0, "hora")) ?></span>
                                <br>
                                
                                <b>Tasa %:</b> </label><span class='campos'><?php echo @decimal(mysql_result($sql, 0, "tasa"))?></span>    
                                <br>
                                <b>Frecuencia pago:</b> </label><span class='campos'><?php echo @mysql_result($sql, 0, "tipo"); ?></span>    
                                <br>
                                <b>Vence prestamo:</b> </label><span class='campos'><?php echo @fecha(mysql_result($sql, 0, "vence_prestamo")); ?></span>

                                <br>
                               

                                <b>Capital pagado:</b> </label><span class='campos'><?php echo @decimal(mysql_result($sql, 0, "capital_pagado")); ?></span> <br>
                                <b>Interes pagado:</b> </label><span class='campos'><?php echo @decimal(mysql_result($sql, 0, "interes_pagado")); ?></span> <br>
                                <b>Mora pagada:</b> </label><span class='campos'><?php echo @decimal(mysql_result($sql, 0, "mora_pagada")); ?></span> <br>
                                <b>Total pagado:</b> </label><span class='campos badge badge-warning'><?php echo @decimal(mysql_result($sql, 0, "mora_pagada")+mysql_result($sql, 0, "interes_pagado")+mysql_result($sql, 0, "capital_pagado")); ?></span> <br>
                               <br>
                               <b class='mt-2'>BALANCE GENERAL:</b> </label><span class='campos text-danger h2'><?php echo @decimal(mysql_result($sql, 0, "balance")); ?></span> <br>
                            <hr>
                                <b>Tipo de prestamo:</b> </label><span class='campos'><?php echo @(mysql_result($sql, 0, "tipo_nuevo_viejo")); ?></span> <br>


                            </div>
                        </div>
                    </div>

                    <hr>    
                    <div class="col-md-7">
                        <div class="card">
                            <div class="card-body">
                                <h5 class="text-success">Cuotas</h5>
                                <b>Cuotas pagadas:</b> </label><span class='campos'><?php echo $pagadas; ?></span> <br>
                                <b>Cuotas pendientes:</b> </label><span class='campos'><?php echo $pendientes; ?></span> <br>
                                <b>Adelantadas:</b> </label><span class='campos badge badge-success'><?php echo $adelantadas; ?></span> <br>
                                <b>Atrasadas:</b> </label><span class='campos badge badge-danger'><?php echo $atrasadas." = ".decimal($matrasadas); ?></span> <br>
                                
                                <hr>
                                <a class="text-success" href="#" onclick="window.open('../cobros/cuotas.php?id_prestamo='+<?php echo $id_prestamo?>, '_blank', 'toolbar=no,scrollbars=no,resizable=no,top=500,left=500,width=950,height=700')"><i class="fa fa-eye"></i> Ver cuotas </a>
                                <a class="text-danger" href="javascript:void(0)" onclick="anular()"><i class="fa fa-trash"></i> Anular este prestamo</a>
                                </div>
                            </div>


                        </div>




                    </div>
                </div>

            </div>       
            <?php
            include_once("../footer.php");
            ?>

<script>
    var id_prestamo="";
    var monto_prestado=0.00;
    var balance=0.00;
    var id_cliente=""
    var nombre_cliente =""
id_prestamo = "<?php echo $id_prestamo?>";
function anular(){
		var nivel  = localStorage.getItem("nivel");
		if(nivel!="administrador"){alert("Esta operacion solo es permitida por el administrador"+"\n"+"Usuario activo: "+myUser+"\n"+"Nivel de acceso: "+nivel); return;}
		if(!confirm("Seguro de anular este prestamo?")){return;}
		  var sql="delete from prestamos where prestamos.id_prestamo='"+id_prestamo+"'"
           _enviar("../php/update.php",{"sql":sql})
		   .done( function( data ){
			   if(data=="1"){
				   borrar_cuotas(id_prestamo);
				  
			   }else{
				   alert(data)
			   }
		   });
}


function borrar_cuotas(){
		//if(!confirm("Seguro de anular este prestamo?")){return;}
		  var sql="delete from cuotas where cuotas.id_prestamo='"+id_prestamo+"'"
           _enviar("../php/update.php",{"sql":sql})
		   .done( function( data ){
			   if(data=="1"){
				 noti("success","Ok","Prestamo anulado");
				 alert(id_prestamo)
				 
				 
				 setTimeout(function(){
					 window.location.href="prestamos.php";
				 },1000);
			   }else{
				   alert(data)
			   }
		   });
}





    function get(id){
        try{
            var sql="select * from prestamos inner join clientes on prestamos.id_cliente=clientes.id where prestamos.id_prestamo='"+id+"'"
            _enviar("../php/traer_datos.php",{"sql":sql})
            .done(function( data ){
                var rs = JSON.parse(data);
       
                for( var i in rs.data){
                    id_cliente= rs.data[i].id;
                    nombre_cliente= rs.data[i].nombre;
                    id_prestamo= rs.data[i].id_prestamo;
                    monto_prestado= rs.data[i].monto_prestado;
                    balance= rs.data[i].balance;
                    $("#id_prestamo").html(rs.data[i].id_prestamo);
                    $("#nombre").html(id_cliente+" - "+rs.data[i].nombre);
                    $("#ruta").html(rs.data[i].ruta);
                    $("#cobrador").html(rs.data[i].cobrador);
                    $("#monto_prestado").html(numeral(rs.data[i].monto_prestado).format('0,0.00'));
                    $("#tipo").html(rs.data[i].tipo);
                    $("#tasa").html(numeral(rs.data[i].tasa).format('0,0.00'));
                    $("#balance").html(numeral(rs.data[i].balance).format('0,0.00'));
                    $("#pagado").focus();
                    $("#pagado").select();
                }
                $("#loading").modal('hide');
            })

        }catch(e){
            alert(e.message);
        }



    }


    function cobrar(){
   
	var pagado = $("#pagado").val();
	if(pagado=="" || pagado<=0){alert("Monto invalido");    $("#pagado").focus();
            $("#pagado").select(); return}
	if(id_prestamo==""){alert("Debe buscar el prestamo que desea pagar"); return}
	if(balance<=0){alert("El balance de este prestamo es: "+balance); return}
	if(!confirm("seguro de registrar este cobro")){return;}
	$(".btn").css("pointer-events" ,"none");
	$(".btn").css("opacity" ,"0.4");
	$(".btn").css("cursor" ,"default");
	
	window.open('pagar.php?id_prestamo='+id_prestamo+'&monto='+pagado+'&nombre_cliente='+nombre_cliente+'&id_cliente='+id_cliente+'&usuario='+myUser,'_blank', 'toolbar=no,scrollbars=no,resizable=no,top=500,left=500,width=800,height=700');
        window.location.href="../prestamos/prestamos.php";
    }


    function ajuste_mora(){
        try{
            var sql="select * from cuotas   where id_prestamo='"+id_prestamo+"' and balance>0 order by numero asc limit 1"
            _enviar("../php/traer_datos.php",{"sql":sql})
            .done(function( data ){
                var rs = JSON.parse(data);
                var tr=""
                var numero_ajustar = rs.data[0].numero
                ajustar(numero_ajustar);   

            })

        }catch(e){
            alert(e.message);
        }
    }




    function ajustar(numero){
        var monto_mora =$("#monto_mora").val();
        if(monto_mora<=0 || monto_mora==""){alert("monto invalido!!!");return}
        if(!confirm("Seguro que desea continuar con la operacion?")){return;}
   
        var sql="update cuotas set mora='"+monto_mora+"', balance=balance+'"+monto_mora+"' WHERE numero='"+numero+"' and id_prestamo='"+id_prestamo+"'";

        _enviar("../php/update.php",{"sql":sql})
        .done(function( data ){
            //var rs = JSON.parse(data);
            if(data=="1"){
       
                noti("success","Mora actualizada","Operacion exitosa");
        
                dstry();
                id_cobrador="";
                $("#modalCobradores").modal('hide');
                window.location.reload();

            }else{
                msg(data);
          
            }
            $("#loading").modal('hide');
        })
    }






    $(".table").DataTable({
        "language": {
            "url": "//cdn.datatables.net/plug-ins/9dcbecd42ad/i18n/Spanish.json"
        }
    });
</script>
